// 2.4.18
// Wenn Arduino auf serieller Schnittstelle ein Zeichen empfaengt, dann wird Signal
// auf A5 AD-gewandelt und ueber serielle Schnittstelle als Integer ausgegeben.
// S. Mack

int value;

void setup() { 
  int i=0;
  Serial.begin(115200);
  //Arduino gibt Lebenszeichen, solange vom PC noch kein Messwert angefordert wurde
  while(Serial.available()<=0){
  Serial.print("Arduino ist bereit ");
  Serial.println(i);
  delay(1000);
  i=i+1;
  }
}

void loop() {
  // Falls vom PC ein Messwert angefordert wurde (= Zeichen an serieller Schnittstelle liegt an)
  if (Serial.available()>0)  {
    // Schnittstelle auslesen
    int inByte = Serial.read();
  
    // Signal auf Ain Pin wandeln.
    value = analogRead(5);
    // AD-Wert ausgeben.
    Serial.println(value, DEC);
  }
}
