#!/usr/bin/python3
# Beispiel Ausleseen Daten von Arduino. Die Daten werden ueber die serielle
# Schnittstelle durch das Arduinoprogramm "ArdSendByReqAdc" bereit gestellt.
# S. Mack, 2.4.18

import serial

try:
    print('Info: Abbruch mit strg + c')
    port = serial.Serial('COM22', 115200)
    while True:
        print(port.readline())
except KeyboardInterrupt:
    print('Programm mit strg + c abgebrochen')
finally:
    port.close()
    print('Schnittstelle geschlossen')
